### Page Konfiguration
page = PAGE
### Klasse fuer Body-tag
temp.selectbodytag = CASE
temp.selectbodytag {
  key.data = pagelayout
  default = TEXT
  default.value = home
  pagets__1 = TEXT
  pagets__1.value = home
  pagets__2 = TEXT
  pagets__2.value = sub
  stdWrap.wrap = <body class ="|">
}

### Page Object

page = PAGE
page.bodyTagCObject < temp.selectbodytag

### Fluidtemplate

page.10 = FLUIDTEMPLATE
page.10 {
  partialRootPath = typo3conf/ext/dti_nabu/Resources/Private/FrontEnd/Partials/
  layoutRootPath = typo3conf/ext/dti_nabu/Resources/Private/FrontEnd/Layouts/
  variables {
    content < styles.content.get
    content.select.where = colPos=0
    contentRight < styles.content.get
    contentRight.select.where = colPos=1
    contentNews < styles.content.get
    contentNews.select.where = colPos=2
    Slideshow < styles.content.get
    Slideshow.select.where = colPos=100
    Stoerer < styles.content.get
    Stoerer.select.where = colPos=150
    SlideshowSub < styles.content.get
    SlideshowSub.select.where = colPos=160
  }

  settings {
    Facebook = {$tx_dti_nabu.settings.Facebook}
    Twitter = {$tx_dti_nabu.settings.Twitter}
    Mail = {$tx_dti_nabu.settings.Mail}
    Google = {$tx_dti_nabu.settings.Google}
    Logo = {$tx_dti_nabu.settings.logo}
    News = {$tx_dti_nabu.settings.newslist}
  }

  file {
    stdWrap.cObject = CASE
    stdWrap.cObject {
      key.data = pagelayout
      default = TEXT
      default.value = EXT:dti_nabu/Resources/Private/FrontEnd/Templates/Unterseite.html
      pagets__1 = TEXT
      pagets__1.value = EXT:dti_nabu/Resources/Private/FrontEnd/Templates/Index.html
      pagets__2 = TEXT
      pagets__2.value = EXT:dti_nabu/Resources/Private/FrontEnd/Templates/Unterseite.html
    }
  }
}

### Page UID auslesen

lib.pageid = TEXT
lib.pageid.data = page:uid

### Head: Favicon etc.

page.headerData.20 = TEXT
page.headerData.20.value (
    <link rel="apple-touch-icon" sizes="57x57" href="/apple-touch-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/apple-touch-icon-60x60.png">
    <link rel="icon" type="image/png" href="/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="/favicon-16x16.png" sizes="16x16">
    <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
    <link rel="shortcut icon" href="/favicon.ico">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="msapplication-config" content="/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
)


# INDIVIDUELLER SEITENTITEL
page.headerData.1200 = TEXT
page.headerData.1200.dataWrap = <title>{field:title} – {$tx_dti_nabu.settings.title}</title>


### Admin-Panel
page.config.admPanel = 1
