### Change Template-Rootline

lib.fluidContent {
   templateRootPaths {
      10 = EXT:dti_nabu/Resources/Private/FluidStyledContent/Templates/
   }
   partialRootPaths {
      10 = EXT:dti_nabu/Resources/Private/FluidStyledContent/Partials/
   }
   layoutRootPaths {
      10 = EXT:dti_nabu/Resources/Private/FluidStyledContent/Layouts/
   }
}

### Add ContentElements
tt_content = CASE
tt_content {
    dti_nabu_bluebox =< lib.fluidContent
    dti_nabu_bluebox {
        templateName = BlueBox
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
            # Setup the edit icon for content element "Blue Box"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }

    dti_nabu_greenbox =< lib.fluidContent
    dti_nabu_greenbox {
        templateName = GreenBox
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
            # Setup the edit icon for content element "Green Box"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }

    dti_nabu_yellowbox =< lib.fluidContent
    dti_nabu_yellowbox {
        templateName = YellowBox
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
            # Setup the edit icon for content element "Yellow Box"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }
    dti_nabu_slider =< lib.fluidContent
    dti_nabu_slider {
        templateName = Slideshow
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
            # Setup the edit icon for content element "Yellow Box"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }
    dti_nabu_project =< lib.fluidContent
    dti_nabu_project {
        templateName = Project
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
            # Setup the edit icon for content element "Yellow Box"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }
    dti_nabu_contact =< lib.fluidContent
    dti_nabu_contact {
        templateName = Contact
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
            # Setup the edit icon for content element "Contact Person"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }
	dti_nabu_disturb =< lib.fluidContent
		dti_nabu_disturb {
        templateName = Disturb
        dataProcessing {
            10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
            10 {
                references.fieldName = assets
            }
            20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
            20 {
                maxGalleryWidth = {$styles.content.textmedia.maxW}
                maxGalleryWidthInText = {$styles.content.textmedia.maxWInText}
                columnSpacing = {$styles.content.textmedia.columnSpacing}
                borderWidth = {$styles.content.textmedia.borderWidth}
                borderPadding = {$styles.content.textmedia.borderPadding}
            }
        }
        stdWrap {
        # Setup the edit icon for content element "Disturb"
            editIcons = tt_content: header [header_layout], assets [imageorient|imagewidth|imageheight], [imagecols|imageborder], image_zoom
            editIcons {
                iconTitle.data = LLL:EXT:fluid_styled_content/Resources/Private/Language/FrontendEditing.xlf:editIcon.textmedia
            }
        }
    }
}

lib.countContent = CONTENT
lib.countContent {
   table = tt_content
   select {
    selectFields = count(uid) AS count
    pidInList = this
    andWhere = (deleted = 0 AND hidden = 0 AND colPos = 160)
   }

   renderObj = COA
   renderObj {
     10 = TEXT
     10 {
       data = field:count
     }
}

lib.HeadCSS = TEXT
lib.HeadCSS.value (
<style>
@media (min-width: 960px) {
    .breadcrumb-wrap {
        padding-left: 0px !important;
    }
}

.breadcrumb-wrap {
    margin-top: 0px !important;
}
</style>
)
